Subject: RE: [ldapext] Re: draft-ietf-boreham-numsubordinates-01.txt

From: "Volpers, Helmut" <[email-masked]>
Date: Fri, 31 Oct 2003 09:52:49 +0100

I think the use-case of for the "numSubordinates" is to decide whether the
entry is a leaf without making an additional search. If you don't 
count the subentries in the "numSubordinates" your application (e.g. your
User-Administration browser" will not offer you the possibility to
browse below this object. You can argue that the "hasSubordinates" can be
used 
for this but I don't need both in reality and if I have both I don't like
that the 
"numSubordinates" can be 0 when the "hasSubordinates" is TRUE.

I vote for : count the subentries in the "numSubordinates".

Helmut

> -----Original Message-----
> From: Michael Ströder [mailto:[email-masked]] 
> Sent: Thursday, October 30, 2003 7:28 PM
> To: Jim Sermersheim
> Cc: [email-masked]
> Subject: Re: [ldapext] Re: draft-ietf-boreham-numsubordinates-01.txt
> 
> 
> Jim Sermersheim wrote:
> > Right, when people on this thread are talking about 
> subentries, they 
> > are
> > talking about subentries in the X.500 subentry sense of the 
> word (like 
> > subschema subentry, prescriptiveACI subentry, etc).
> 
> Then I ask again for use-case(s) of counting these kind of 
> subentries in `numSubordinates'.
> 
> Ciao, Michael.
> 
> 
> 
> _______________________________________________
> Ldapext mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ldapext
> 

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext